cordova-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Shazron Abdullah (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (CB-12122) Incompatible plugin should make the build fail, not be skipped silently
Date Fri, 02 Jun 2017 17:52:04 GMT

     [ https://issues.apache.org/jira/browse/CB-12122?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Shazron Abdullah updated CB-12122:
----------------------------------
    Fix Version/s: cordova@7

> Incompatible plugin should make the build fail, not be skipped silently
> -----------------------------------------------------------------------
>
>                 Key: CB-12122
>                 URL: https://issues.apache.org/jira/browse/CB-12122
>             Project: Apache Cordova
>          Issue Type: Bug
>          Components: cordova-cli, cordova-plugman
>    Affects Versions: 6.3.0
>            Reporter: 165537
>             Fix For: cordova@7
>
>
> When compiling (on Phonegap Build) a project containing a plugin which Cordova's version
is incompatible, the plugin is silently skipped and the build is successful. Of course the
functionalities of the plugin won't work in the app. Eg, here's what I got when compiling
phonegap-plugin-push with Cordova 6.3.0:
> Fetching plugin "phonegap-plugin-push@1.9.0" via npm
> Installing "phonegap-plugin-push" at "1.9.0" for android
> Plugin doesn't support this project's cordova version. cordova: 6.3.2, failed version
requirement: >=6.4.0
> Skipping 'phonegap-plugin-push' for android



--
This message was sent by Atlassian JIRA
(v6.3.15#6346)

---------------------------------------------------------------------
To unsubscribe, e-mail: issues-unsubscribe@cordova.apache.org
For additional commands, e-mail: issues-help@cordova.apache.org


Mime
View raw message